# $Revision: 1.66 $, $Date: 2008/04/15 14:39:30 $
Summary:	Ident server with masquerading support
Summary(pl.UTF-8):	Serwer ident z obsługą maskowanych adresów IP
Name:		oidentd
Version:	2.0.8
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/ojnk/%{name}-%{version}.tar.gz
# Source0-md5:	c3d9a56255819ef8904b867284386911
Source1:	%{name}.init
Source2:	%{name}.users
Source3:	%{name}.sysconfig
Source4:	%{name}.conf
Source5:	%{name}.inetd
Patch0:		%{name}-ip_conntrack.diff
Patch1:		%{name}-multiple-ip.patch
URL:		http://ojnk.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{name}-init = %{version}-%{release}
Provides:	identserver
Obsoletes:	linux-identd
Obsoletes:	linux-identd-inetd
Obsoletes:	linux-identd-standalone
Obsoletes:	midentd
Obsoletes:	nidentd
Obsoletes:	pidentd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Oidentd is an ident (rfc1413) daemon that runs on Linux, FreeBSD,
OpenBSD and Solaris 2.x. Oidentd supports most features of pidentd
plus more. Most notably, oidentd allows users to specify the identd
response that the server will output when a successful lookup is
completed. Oidentd supports IP masqueraded connections on Linux, and
is able to forward requests to hosts that masq through the host on
which oidentd runs.

%description -l pl.UTF-8
Oident jest serwerem usługi ident (zgodnym z rfc1413) działającym pod
kontrolą systemów operacyjnych takich jak Linux, FreeBSD, OpenBSD oraz
Solaris 2.x. Oident posiada większość funkcji programu pidentd oraz
trochę dodatkowych. Jedną z nich jest to, że oident pozwala
użytkownikom na zmianę swojej nazwy przesyłanej przez serwer na
dowolną inną. Dodatkowo wspiera przesyłanie odwołań do usługi ident
poprzez IP masqueradeing.

%package inetd
Summary:	Ident server with masquerading support
Summary(pl.UTF-8):	Serwer ident z obsługą maskowanych adresów IP
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	rc-inetd
Provides:	%{name}-init = %{version}-%{release}
Obsoletes:	oidentd-standalone
Conflicts:	%{name} <= 2.0.7-1

%description inetd
This package allows to start oidentd as inetd service.

%description inetd -l pl.UTF-8
Ten pakiet pozwala na wystartowanie oidentd jako servis inetd.

%package standalone
Summary:	Ident server with masquerading support
Summary(pl.UTF-8):	Serwer ident z obsługą maskowanych adresów IP
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Provides:	%{name}-init = %{version}-%{release}
Obsoletes:	oidentd-inetd
Conflicts:	%{name} <= 2.0.7-1

%description standalone
This package allows to start oidentd as standalone daemon.

%description standalone -l pl.UTF-8
Ten pakiet pozwala na wystartowanie oidentd jako samodzielnego demona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{sysconfig/rc-inetd,rc.d/init.d}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/oidentd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/oidentd
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/oidentd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/oidentd_masq.conf
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/oidentd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%banner %{name} -e <<EOF
###################################################################
#                                                                 #
# NOTICE:                                                         #
# You need to load 'tcp_diag' kernel module for oidentd to use    #
# netlink interface instead of (very slow) /proc/net/tcp          #
#                                                                 #
###################################################################
EOF

%post standalone
/sbin/chkconfig --add %{name}
%service oidentd restart

%preun standalone
if [ "$1" = "0" ]; then
	%service oidentd stop
	/sbin/chkconfig --del %{name}
fi

%post inetd
%service -q rc-inetd reload

%postun inetd
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/oidentd_masq.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/oidentd.conf
%attr(755,root,root) %{_sbindir}/oidentd
%{_mandir}/man8/*
%{_mandir}/man5/*

%files inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/oidentd

%files standalone
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/oidentd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/oidentd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: oidentd.spec,v $
Revision 1.66  2008/04/15 14:39:30  baggins
- rel 4
- fixed mem allocation in multiple-ip patch

Revision 1.65  2008-04-14 13:20:22  baggins
- rel 3
- allow oidentd to listen on multiple specified ips

Revision 1.64  2008-02-28 15:14:09  baggins
- rel 2
- added banner about netlink and tcp_diag kernel module
  (reading /proc/net/tcp takes 10s on machine with 32GB RAM and ~800 connections :/)

Revision 1.63  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.62  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.61  2006/08/06 20:37:45  adamg
- updated to 2.0.8

Revision 1.60  2006/05/07 18:19:34  deejay1
- rel up to 4

Revision 1.59  2006/05/03 23:09:14  shadzik
- ip_conntrack patch added, by Łukasz 'Sobi-Wan' Sobczak

Revision 1.58  2006/03/06 18:14:36  glen
- use %service, fix double restart; rel 3

Revision 1.57  2006/01/12 15:05:03  adamg
- strict internal deps

Revision 1.56  2005/12/13 14:11:32  glen
- adapterized (sorted %verify attrs)

Revision 1.55  2004/02/05 09:26:29  jajcus
- Release: 2

Revision 1.54  2003/12/21 23:57:14  undefine
- ac/am to allow build on amd64

Revision 1.53  2003/09/05 07:37:14  qboosh
- moved rc-scripts dependency to -standalone, versioned subpackage deps

Revision 1.52  2003/09/04 21:08:32  blues
- added Conflicts to proper oidentd version

Revision 1.51  2003/09/04 19:38:44  blues
- sysconfig is present only when starting as daemon

Revision 1.50  2003/09/04 19:33:52  blues
- oidentd should be installed before any scripts

Revision 1.49  2003/09/04 19:25:23  blues
- first attempt to prepare 2 versions of oidentd - inetd and standalone

Revision 1.48  2003/08/22 15:44:05  ankry
- cosmetics: spaces -> tabs

Revision 1.47  2003/07/14 06:14:03  adamg
- updated to 2.0.7

Revision 1.46  2003/05/26 17:29:43  erjot
- md5
- new Obsoletes
- cut changelog

Revision 1.45  2003/05/25 05:51:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2003/04/28 18:17:19  misi3k
- updated to 2.0.6

Revision 1.43  2003/03/10 11:44:56  qboosh
- working Source0 URL, cosmetics

Revision 1.42  2003/02/14 10:37:53  areq
- 2.0.5, STBR
